# Make phone call

**Step 1: Prepare Your Request**

* **Endpoint:** `/call/makeCall`
* **Method:** `POST`
* **URL:** `https://calls.talkstack.ai/call/makeCall`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in headers

**Step 2: Construct the JSON Body with Dynamic Variables**

* `agentId`: The id of the agent whose details you want to fetch.
* `projectId`: The id of the project with which the agent is associated.
* `number`: The number you want to make the call to.
* `dynamicVariables`: If your prompt has dynamic variables then you need to pass these variables in this object. For e.g.

**Prompt:**

```
You are an agent called {{name}}. You can take any questions relaetd to 
```

**Request Body:**

```json
{
    "number": "+1XXXXXXXXXX",
    "projectId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "agentId": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "dynamicVariables": {
        "name": "John"
    }
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the POST request with the JSON body.

**Step 4: Handle the request**

The response will provide detailed information about the new project created.

**Success Response:**

* **Status Code:** `200 OK`
* **Body:**

```json
{
    "message": "call made successfully.",
    "status": "success",
    "call": {
        "call_id": "xxxxxxxxxxxxxxxxxxxxxxxxx",
        "to": "+1xxxxxxxxxx",
        "from": "+1xxxxxxxxxx"
    }
}
```

**Troubleshooting**

* `400 Bad Request`: If the `projectId` or `agentId` or `number` is not in the request body.
* `401 Unauthorized`: If the user is unauthorized or the token is missing.
* `500 Internal Server Error`: For errors while getting active agent.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/call/make-phone-call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
